package com.ruoyi.appVersion.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * APP版本信息对象 t_app_version
 * 
 * @author ruoyi
 * @date 2021-06-16
 */
public class TAppVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** key */
    @Excel(name = "key")
    private String fParamkey;

    /** value */
    @Excel(name = "value")
    private String fParamvalue;

    /** 0 正常 1 停用 */
    @Excel(name = "0 正常 1 停用")
    private Integer fStatus;

    /** 扩展 */
    @Excel(name = "扩展")
    private String fParamlabel;
    //状态中文名
    private String fStatusName;

    public String getfStatusName() {
        return fStatusName;
    }

    public void setfStatusName(String fStatusName) {
        this.fStatusName = fStatusName;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfParamkey(String fParamkey) 
    {
        this.fParamkey = fParamkey;
    }

    public String getfParamkey() 
    {
        return fParamkey;
    }
    public void setfParamvalue(String fParamvalue) 
    {
        this.fParamvalue = fParamvalue;
    }

    public String getfParamvalue() 
    {
        return fParamvalue;
    }
    public void setfStatus(Integer fStatus) 
    {
        this.fStatus = fStatus;
    }

    public Integer getfStatus() 
    {
        return fStatus;
    }
    public void setfParamlabel(String fParamlabel) 
    {
        this.fParamlabel = fParamlabel;
    }

    public String getfParamlabel() 
    {
        return fParamlabel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fParamkey", getfParamkey())
            .append("fParamvalue", getfParamvalue())
            .append("fStatus", getfStatus())
            .append("fParamlabel", getfParamlabel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("fStatusName", getfStatusName())
            .toString();
    }
}
